org.eclipse.jetty.server

## Class HttpInput

- java.lang.Object
- - java.io.InputStream
  - - javax.servlet.ServletInputStream
    - - org.eclipse.jetty.server.HttpInput

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class HttpInput
    extends javax.servlet.ServletInputStream

### Field Summary

Fields
`protected AbstractHttpConnection` `_connection`
`protected HttpParser` `_parser`

### Constructor Summary

Constructors
Constructor and Description
`HttpInput(AbstractHttpConnection connection)`

### Method Summary

Methods
`int` `available()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class javax.servlet.ServletInputStream

`readLine`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _connection

    protected final AbstractHttpConnection _connection

#### _parser

    protected final HttpParser _parser

### Constructor Detail

#### HttpInput

    public HttpInput(AbstractHttpConnection connection)

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`